VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "AbstractDecorator"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa AbstractDecorator
'Dekorator obiektów klasy  pictureBox
'Oraz innych dekoratorów
'--------
Public Sub init(c As Control, title As String)
'Inicjuje dekorator kontrolką
End Sub
'--------
Public Sub initContents(d As AbstractDecorator)
'Inicjuje dekorator za pomocą innego dekoratora
End Sub
'--------
Public Sub mouseUp()
End Sub
'--------
Public Sub mouseDown()
End Sub
'--------
Public Sub mouseMove(ByVal x As Single, ByVal y As Single)
End Sub
'--------
Public Sub refresh()
End Sub
'--------
Public Sub paint()
End Sub
'--------
Public Function getControl() As Control
End Function
